<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'lti', language 'ar', branch 'MOODLE_36_STABLE'
 *
 * @package   lti
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accept'] = 'موافقة';
$string['accepted'] = 'قبلت';
$string['accept_grades'] = 'الموافقة على الدرجات من الأداة';
$string['accept_grades_admin'] = 'الموافقة على الدرجات من الأداة';
$string['accept_grades_admin_help'] = 'تحديد ما إذا كان مزود الأداة يمكنه إضافة، تحديث، قراءة، وحذف الدرجات المرتبطة بحالات من نوع الأداة هذا.

بعض مقدمي الأداة تدعم درجات تقديم التقارير إلى توتارا بناء على الإجراءات المتخذة في إطار الأداة، وخلق تجربة أكثر تكاملا.';
$string['accept_grades_help'] = 'تحديد ما إذا كان مزود أداة يمكن أن تضيف، التحديث، قراءة، وحذف الدرجات فقط مع هذه الأداة الخارجية. بعض مقدمي أداة يدعمون درجات تقديم التقارير إلى توتارا بناء على الإجراءات المتخذة في إطار الأداة، وخلق تجربة أكثر تكاملا. لاحظ أن هذا الإعداد قد يتم تجاوزه في تكوين الأداة.';
$string['action'] = 'إجراء';
$string['activate'] = 'تفعيل';
$string['activatetoadddescription'] = 'سوف تحتاج إلى تفعيل هذه الأداة قبل أن تتمكن من إضافة وصف.';
$string['active'] = 'نشط';
$string['activity'] = 'نشاط';
$string['addnewapp'] = 'تمكين التطبيق الخارجي';
$string['addserver'] = 'إضافة خادم موثوق جديد';
$string['addtype'] = 'إضافة أداة تكوين خارجية';
$string['allow'] = 'السماح';
$string['allowsetting'] = 'السماح للأداة بتخزين 8K من الإعدادات في توتارا';
$string['always'] = 'دائما';
$string['autoaddtype'] = 'إضافة أداة';
$string['automatic'] = 'تلقائي، استنادا إلى إطلاق URL';
$string['baseurl'] = 'اسم قاعدة / أداة التسجيل';
$string['basiclti'] = 'LTI';
$string['basicltiactivities'] = 'LTI الأنشطة';
$string['basiclti_base_string'] = 'سلسلة LTI OAuth Base';
$string['basiclti_endpoint'] = 'إطلاق نقطة النهاية LTI';
$string['basicltifieldset'] = 'مثال مخصص لمجموعة حقول';
$string['basiclti_in_new_window'] = 'تم فتح نشاطك في إطار جديد';
$string['basiclti_in_new_window_open'] = 'فتح في نافذة جديدة';
$string['basicltiintro'] = 'وصف النشاط';
$string['basicltiname'] = 'اسم النشاط';
$string['basiclti_parameters'] = 'إطلاق معلمات LTI';
$string['basicltisettings'] = 'Basic Learning Tool Interoperability Settings';
$string['cancel'] = 'إلغاء';
$string['cancelled'] = 'تم الالغاء';
$string['cannot_delete'] = 'لا يجوز لك حذف تكوين هذه الأداة.';
$string['cannot_edit'] = 'لا يجوز لك تعديل تكوين هذه الأداة.';
$string['capabilities'] = 'إمكانيات';
$string['capabilities_help'] = 'حدد القدرات التي ترغب في تقديمها لمقدم الأداة. يمكن تحديد  أكثر من قدرة واحدة.';
$string['capabilitiesrequired'] = 'تتطلب هذه الأداة الوصول إلى البيانات التالية لتفعيلها:';
$string['cleanaccesstokens'] = 'إزالة أداة خارجية لرموز الوصول منتهية الصلاحية';
$string['click_to_continue'] = '<a href="{$a->link}" target="_top">انقر للمتابعة</a>';
$string['clientidadmin'] = 'معرف العميل';
$string['clientidadmin_help'] = 'يمكن اعتبار معرّف العميل قيمة فريدة تُستخدم لتحديد الأداة.
يتم إنشاؤه تلقائيًا لكل أداة تستخدم ملف تعريف أمان JWT المقدم في LTI 1.3 ويجب أن يكون جزءًا من التفاصيل التي تم تمريرها إلى مزود الأداة حتى يتمكنوا من تكوين الاتصال في نهايتها.';
$string['comment'] = 'تعليق';
$string['configpassword'] = 'كلمة المرور الافتراضي للأداة البعيدة';
$string['configpreferheight'] = 'الارتفاع المفضل الافتراضي';
$string['configpreferwidget'] = 'تعيين عنصر واجهة مستخدم كالإطلاق الافتراضي';
$string['configpreferwidth'] = 'العرض المفضل الافتراضي';
$string['configresourceurl'] = 'رابط الموارد الافتراضي';
$string['configtoolurl'] = 'الرابط الافتراضي للأداة البعيدة';
$string['configtypes'] = 'تمكين تطبيقات LTI';
$string['configured'] = 'تم تكوينها';
$string['confirmtoolactivation'] = 'هل تريد تنشيط هذه الأداة؟';
$string['contentitem'] = 'المحتوى-رسالة البند';
$string['contentitem_help'] = 'إذا تم وضع علامة عليه، فسيكون الخيار &quot;تحديد المحتوى&quot; متاحا عند إضافة أداة خارجية.';
$string['courseactivitiesorresources'] = 'أنشطة الدورة أو الموارد';
$string['courseid'] = 'رقم المقرر';
$string['courseinformation'] = 'معلومات المقرر';
$string['courselink'] = 'الذهاب إلى المقرر';
$string['coursemisconf'] = 'تكوين المقرر غير صالح';
$string['course_tool_types'] = 'أنواع أداة الدورة';
$string['createdon'] = 'أنشئت في';
$string['curllibrarymissing'] = 'يجب تثبيت مكتبة PHP Curl لاستخدام LTI';
$string['custom'] = 'مخصص المعلمات';
$string['custom_config'] = 'استخدام التكوين الأداة المخصصة .';
$string['custom_help'] = 'المعلمات المخصصة هي الإعدادات المستخدمة من قبل موفر الأداة. على سبيل المثال، قد تستخدم معلمة مخصصة لعرض مورد محدد من الموفر.  يجب إدخال كل معلمة على سطر منفصل باستخدام شكل من \'اسم = قيمة\'؛ على سبيل المثال، \'الفصل = 3\'.  لا بأس أن تتترك هذا الحقل  ما لم تكن موجهة من قبل موفر الأداة.';
$string['custominstr'] = 'معلمات مخصصة';
$string['debuglaunch'] = 'تصحيح الخيار';
$string['debuglaunchoff'] = 'إطلاق عادي';
$string['debuglaunchon'] = 'تصحيح الإطلاق';
$string['default'] = 'الافتراضي';
$string['default_launch_container'] = 'إطلاق الحاويات الافتراضي';
$string['default_launch_container_help'] = 'تؤثر حاوية التشغيل على عرض الأداة عند إطلاقها من الدورة التدريبية.
توفر بعض حاويات الإطلاق مزيدًا من مساحة الشاشة للأداة ، بينما يوفر البعض الآخر إحساسًا أكثر تكاملاً مع بيئة Totara.
 * ** افتراضي **: استخدم حاوية التشغيل المحددة بواسطة تكوين الأداة. * ** Embed **: يتم عرض الأداة داخل نافذة Totara الحالية ، بطريقة مشابهة لمعظم أنواع الأنشطة الأخرى.
* ** تضمين ، بدون كتل **: يتم عرض الأداة داخل نافذة Totara الحالية ، فقط مع عناصر التحكم في التنقل في الجزء العلوي من الصفحة.
* ** نافذة جديدة **: تفتح الأداة في نافذة جديدة تشغل كل المساحة المتاحة.
اعتمادًا على المتصفح ، سيتم فتحه في علامة تبويب جديدة أو نافذة منبثقة.
 من الممكن أن تمنع المتصفحات فتح النافذة الجديدة.';
$string['delegate'] = 'تفويض المعلم';
$string['delete'] = 'حذف';
$string['delete_confirmation'] = 'هل أنت متأكد أنك تريد حذف تكوين الأداة الخارجية؟';
$string['deletetype'] = 'حذف تكوين الأداة الخارجية';
$string['display_description'] = 'عرض وصف النشاط عند الإطلاق';
$string['display_description_help'] = 'إذا تم التحديد، وصف النشاط (المحدد أعلاه) سيعرض فوق محتوى مقدم الأداة.

الوصف يمكن أن يستخدم لتوفير إرشادات إضافية للتشغيلات من الأداة، ولكن ليس ذلك مطلوبا.

لن يتم عرض الوصف أبدا عندما حاوية إطلاق الأداة هي في نافذة جديدة.';
$string['display_name'] = 'عرض اسم النشاط عند الإطلاق';
$string['display_name_help'] = 'إذا تم التحديد، فإن اسم النشاط (المحددة أعلاه) سيعرض فوق محتوى مقدم الأداة.

فمن الممكن أن مزود الاداة يمكنه أيضا عرض العنوان. يمكن هذا الخيار بمنع عنوان النشاط من عرضه مرتين.

لن يتم عرض الوصف أبدا عندما حاوية إطلاق الأداة هي في نافذة جديدة.';
$string['domain_mismatch'] = 'لا يطابق مجال إطلاق الرابط مع تكوين الأداة.';
$string['donot'] = 'لا ترسل';
$string['donotaccept'] = 'عدم القبول';
$string['donotallow'] = 'عدم السماح';
$string['duplicateregurl'] = 'تسجيل الرابط هذا قيد الاستخدام';
$string['editdescription'] = 'انقر هنا لإعطاء هذه الأداة وصفا';
$string['edittype'] = 'تعديل تكوين الأداة الخارجية';
$string['embed'] = 'تضمين';
$string['embed_no_blocks'] = 'تضمين، بدون كتل';
$string['enableemailnotification'] = 'أرسل بريد تنبيه';
$string['enableemailnotification_help'] = 'إذا فعّلت، سوف يتلقي الطلاب إخطار عبر البريد الإلكتروني عندما يتم تصحيح تقديمات أداتهم.';
$string['enterkeyandsecret'] = 'أدخل مفتاح العميل والسر المشترك';
$string['enterkeyandsecret_help'] = 'إذا كنت قد أعطيت مفتاح المستهلك و / أو سر مشترك، قم بإدخالها هنا';
$string['errorbadurl'] = 'الرابط ليس عنوان صالح أو أداة .';
$string['errorincorrectconsumerkey'] = 'مفتاح المستهلك غير صحيح.';
$string['errorinvaliddata'] = 'بيانات غير صالحة: {$a}';
$string['errorinvalidmediatype'] = 'نوع الوسائط غير صالح: {$a}';
$string['errorinvalidresponseformat'] = 'تنسيق استجابة محتوى غير صالح.';
$string['errormisconfig'] = 'أداة مكونة بشكل خاطىء. الرجاء طلب من مسؤول توتارا إصلاح تكوين الأداة.';
$string['errortooltypenotfound'] = 'لم يتم العثور على نوع أداة LTI.';
$string['existing_window'] = 'النافذة القائمة';
$string['extensions'] = 'خدمات تمديد LTI';
$string['external_tool_type'] = 'نوع الأداة الخارجية';
$string['external_tool_type_help'] = 'الخيارات هي: * ** تلقائي ، بناءً على عنوان URL للأداة **: يتم تحديد أفضل تكوين للأداة تلقائيًا. إذا لم يتم التعرف على عنوان URL الخاص بالأداة ، فقد يلزم إدخال تفاصيل تكوين الأداة يدويًا.
 * ** أداة محددة مُعدة مسبقًا **: سيتم استخدام تكوين الأداة للأداة المحددة عند الاتصال بموفر الأداة الخارجي.
إذا كان عنوان URL للأداة لا يبدو أنه ينتمي إلى موفر الأداة ، فسيتم عرض تحذير.
 ليس من الضروري دائمًا إدخال عنوان URL للأداة. * ** التكوين المخصص **: قد يلزم إدخال مفتاح العميل والسر المشترك يدويًا.
 يمكن الحصول على مفتاح العميل والسر المشترك من موفر الأداة. ومع ذلك ، لا تتطلب جميع الأدوات مفتاح عميل وسرًا مشتركًا ، وفي هذه الحالة يمكن ترك الحقول فارغة.
 ### تحرير الأداة المكون مسبقًا تتوفر ثلاثة رموز بعد القائمة المنسدلة للأداة المكونة مسبقًا: * ** إضافة **: إنشاء تكوين أداة مستوى الدورة قد تستخدم جميع مثيلات الأداة الخارجية في هذه الدورة تكوين الأداة. * ** تحرير **: حدد أداة مستوى الدورة التدريبية من القائمة المنسدلة ، ثم انقر فوق هذا الرمز.
 يمكن تعديل تفاصيل تكوين الأداة. * ** حذف **: قم بإزالة أداة مستوى الدورة المحددة.';
$string['external_tool_types'] = 'أنواع الأداة الخارجية';
$string['failedtoconnect'] = 'توتارا غير قادر على التواصل مع نظام &quot;{$a}&quot;';
$string['failedtocreatetooltype'] = 'تعذر إنشاء أداة جديدة. يرجى التحقق من العنوان والمحاولة مرة أخرى.';
$string['failedtodeletetoolproxy'] = 'أخفق حذف تسجيل الأداة. قد تحتاج إلى زيارة &quot;إدارة تسجيلات أداة خارجية&quot; وحذفها يدويا.';
$string['filter_basiclti_configlink'] = 'تكوين المواقع المفضلة لديك وكلمات المرور الخاصة بهم';
$string['filter_basiclti_password'] = 'كلمة السر إلزامية';
$string['filterconfig'] = 'إدارة LTI';
$string['filtername'] = 'LTI';
$string['fixexistingconf'] = 'استخدام تكوين موجود لمثيل تكوينه خاطيء';
$string['fixnew'] = 'إعدادات جديدة';
$string['fixnewconf'] = 'تحديد تكوين جديد لمثيل تكوينه خاطيء';
$string['fixold'] = 'استخدام الحالي';
$string['forced_help'] = 'هذا الإعداد مجبر في تكوين الأداة للمقرر أو على مستوى الموقع. لا تستطيع تغييره من هذه الواجهة.';
$string['force_ssl'] = 'فرض SSL';
$string['force_ssl_help'] = 'اختيار هذا الخيار سيفرض كل إطلاق لمزود الأداة لهذا لاستخدام SSL.

وبالإضافة إلى ذلك، فإن جميع طلبات الخدمة على شبكة الإنترنت من مزود الاداة ستستخدم SSL.

 في حالة استخدام هذا الخيار، تأكد أن هذا الموقع يدعم SSL لمزود الأداة.';
$string['generaltool'] = 'أداة عامة';
$string['global_tool_types'] = 'أنواع الأداة العالمية';
$string['grading'] = 'توجيه الدرجة';
$string['icon_url'] = 'رابط الأيقونة';
$string['icon_url_help'] = 'رابط الرمز يسمح للرمز أن يظهر في قائمة المقرر لتعديل هذا النشاط . بدلا من استخدام رمز LTI الافتراضي، وهو الرمز الذي ينقل نوع النشاط الممكن تحديده.';
$string['id'] = 'معرف';
$string['indicator:cognitivedepth'] = 'LTI المعرفي';
$string['indicator:cognitivedepth_help'] = 'يعتمد هذا المؤشر على العمق المعرفي الذي وصل إليه الطالب في نشاط LTI.';
$string['indicator:socialbreadth'] = 'LTI الاجتماعية';
$string['indicator:socialbreadth_help'] = 'يعتمد هذا المؤشر على النطاق الاجتماعي الذي وصل إليه الطالب في نشاط LTI.';
$string['initiatelogin'] = 'بدء عنوان URL لتسجيل الدخول';
$string['initiatelogin_help'] = 'عنوان URL الخاص بالأداة الذي سيتم إرسال طلبات بدء تسجيل الدخول إليه. عنوان URL هذا مطلوب قبل أن تتمكن من إرسال الرسالة بنجاح إلى الأداة.';
$string['invalidid'] = 'كان رقم LTI غير صحيح';
$string['jwtsecurity'] = 'LTI 1.3';
$string['launch_in_moodle'] = 'إطلاق أداة في توتارا';
$string['launchinpopup'] = 'حاوية الإطلاق';
$string['launch_in_popup'] = 'إطلاق الأداة في نافذة منبثقة';
$string['launchinpopup_help'] = 'تؤثر حاوية التشغيل على عرض الأداة عند إطلاقها من الدورة التدريبية.
توفر بعض حاويات الإطلاق مزيدًا من مساحة الشاشة للأداة ، بينما يوفر البعض الآخر إحساسًا أكثر تكاملاً مع بيئة Totara.
* ** افتراضي **: استخدم حاوية التشغيل المحددة بواسطة تكوين الأداة.
* ** Embed **: يتم عرض الأداة داخل نافذة Totara الحالية بطريقة مشابهة لمعظم أنواع الأنشطة الأخرى.
* ** تضمين ، بدون كتل **: يتم عرض الأداة داخل نافذة Totara الحالية ، فقط مع عناصر التحكم في التنقل في الجزء العلوي من الصفحة.
* ** نافذة جديدة **: تفتح الأداة في نافذة جديدة تشغل كل المساحة المتاحة. اعتمادًا على المتصفح ، سيتم فتحه في علامة تبويب جديدة أو نافذة منبثقة.
من الممكن أن تمنع المتصفحات فتح النافذة الجديدة.';
$string['launchoptions'] = 'خيارات الإطلاق';
$string['launch_url'] = 'رابط الإطلاق';
$string['launch_url_help'] = 'يشير عنوان URL الخاص بالأداة إلى عنوان الويب ** للأداة الخارجية ** ، وقد يحتوي على معلومات إضافية ، مثل المورد المراد إظهاره.
إذا لم تكن متأكدًا مما يجب إدخاله لعنوان URL الخاص بالأداة ، فيرجى مراجعة مزود الأداة للحصول على مزيد من المعلومات.
يمكنك إدخال عنوان URL للخرطوشة إذا كان لديك واحد ، وستتم ملء بقية تفاصيل النموذج تلقائيًا. إذا كنت قد حددت أداة مكونة مسبقًا ، فقد لا تحتاج إلى إدخال عنوان URL للأداة.
إذا تم استخدام رابط الأداة للتشغيل فقط في نظام موفر الأداة ، وليس الانتقال إلى مورد معين ، فمن المحتمل أن يكون هذا هو الحال.';
$string['leaveblank'] = 'اتركه فارغا إذا لم تكن في حاجة إليه';
$string['lti'] = 'LTI';
$string['lti:addcoursetool'] = 'إضافة تكوينات أداة لمقرر محدد';
$string['lti:addinstance'] = 'إضافة أنشطة أداة خارجية جديدة';
$string['lti:admin'] = 'استخدم حساب مدير الموقع عند تشغيل الأداة';
$string['lti_administration'] = 'إدارة LTI';
$string['lti_errormsg'] = 'أرجعت الأداة رسالة الخطأ التالية: &quot;{$a}&quot;';
$string['lti:grade'] = 'عرض الدرجات التي تم إرجاعها بواسطة الأداة الخارجية';
$string['lti_launch_error'] = 'حدث خطأ عند إطلاق الأداة الخارجية:';
$string['lti_launch_error_tool_request'] = '<p style=";text-align:right;direction:rtl"> لتقديم طلب للمسؤول لاستكمال تكوين الأداة، انقر <a href="{$a->admin_request_url}" target="_top">هنا</a> . </p>';
$string['lti_launch_error_unsigned_help'] = '<p style=";text-align:right;direction:rtl"> قد يكون هذا الخطأ نتيجة لفقدان مفتاح المستهلك و كلمة السر المشتركة لموفر الأداة. </p><p style=";text-align:right;direction:rtl"> إذا كان لديك مفتاح المستهلك وكلمة السر المشترك، أدخله عند تحرير مثال الأداة الخارجية (تأكد من جعل الخيارات المتقدمة مرئية). </p><p style=";text-align:right;direction:rtl"> بدلا من ذلك، يمكنك <a href="{$a->course_tool_editor}">إنشاء تكوين مزود أداة على مستوى الدورة.</a> </p>';
$string['lti:manage'] = 'كن مدربا عند تشغيل الأداة';
$string['lti:requesttooladd'] = 'طلب أداة تم تكوينها في كافة أنحاء الموقع';
$string['ltisettings'] = 'إعدادات LTI';
$string['lti_tool_request_added'] = 'تم تقديم طلب تكوين الأداة بنجاح. قد تحتاج إلى الاتصال بالمسؤول لاستكمال تكوين الأداة.';
$string['lti_tool_request_existing'] = 'تم مسبقا تقديم تكوين أداة لمجال الأداة.';
$string['ltiunknownserviceapicall'] = 'LTI استدعاء خدمة API غير معروفة.';
$string['ltiversion'] = 'إصدار LTI';
$string['ltiversion_help'] = 'يتم استخدام إصدار LTI لتوقيع الرسائل وطلبات الخدمة: يستخدم LTI 1.0 / 1.1 و LTI 2.0 ملف تعريف أمان OAuth 1.0A ؛ يستخدم LTI 1.3.0 JWTs.';
$string['lti:view'] = 'إطلاق انشطة الأداة الخارجية';
$string['main_admin'] = 'مساعدة عامة';
$string['main_admin_help'] = 'تسمح الأدوات الخارجية لمستخدمي Totara بالتفاعل بسلاسة مع موارد التعلم المستضافة عن بُعد.
من خلال بروتوكول تشغيل خاص ، ستتمكن الأداة عن بُعد من الوصول إلى بعض المعلومات العامة حول المستخدم الذي قام بالتشغيل.
على سبيل المثال ، اسم المؤسسة ومعرف الدورة التدريبية ومعرف المستخدم ومعلومات أخرى مثل اسم المستخدم أو عنوان البريد الإلكتروني.
الأدوات المدرجة في هذه الصفحة مقسمة إلى ثلاث فئات: * ** نشطة **: تمت الموافقة على موفري الأدوات هؤلاء وتكوينهم من قبل المسؤول.
يمكن استخدامها من داخل أي دورة تدريبية في مثيل Totara هذا.
إذا تم إدخال مفتاح العميل والسر المشترك ، يتم إنشاء علاقة ثقة بين مثيل Totara والأداة البعيدة ، مما يوفر قناة اتصال آمنة.
* ** معلق **: أتى موفرو الأدوات هؤلاء من خلال استيراد حزمة ، لكن لم يتم تكوينهم من قبل المسؤول.
لا يزال بإمكان المدربين استخدام أدوات من هؤلاء المزودين إذا كان لديهم مفتاح عميل وسر مشترك ، أو إذا لم يكن هناك حاجة إلى أي منها.
* ** مرفوض **: يتم تمييز موفري الأدوات هؤلاء على أنهم مقدمو خدمات لا يعتزم المسؤول إتاحتها لمثيل Totara بالكامل.
لا يزال بإمكان المدربين استخدام أدوات من هؤلاء المزودين إذا كان لديهم مفتاح عميل وسر مشترك ، أو إذا لم يكن هناك حاجة إلى أي منها.';
$string['manage_external_tools'] = 'إدارة الأدوات';
$string['manage_tool_proxies'] = 'إدارة تسجيلات الأداة الخارجية';
$string['manage_tools'] = 'إدارة أنواع الأداة الخارجية';
$string['manuallyaddtype'] = 'بدلا من ذلك، يمكنك <a href="{$a}">تكوين أداة يدويا</a> .';
$string['miscellaneous'] = 'المتنوعة';
$string['misconfiguredtools'] = 'تم الكشف عن حالات تكوين غير صالحة للأداة';
$string['missingparameterserror'] = 'الصفحة تكوينها غير صالح: &quot;{$a}&quot;';
$string['module_class_type'] = 'نوع وحدة توتارا';
$string['modulename'] = 'أداة خارجية';
$string['modulename_help'] = 'تمكّن وحدة نشاط الأداة الخارجية المتعلمين من التفاعل مع مصادر التعلم والأنشطة على مواقع الويب الأخرى.
 على سبيل المثال ، يمكن أن توفر أداة خارجية الوصول إلى نوع نشاط جديد أو مواد تعليمية من ناشر.
لإنشاء نشاط أداة خارجي ، يلزم توفير موفر أداة يدعم LTI (إمكانية التشغيل التفاعلي لأدوات التعلم).
يمكن للمدرب إنشاء نشاط أداة خارجي أو الاستفادة من أداة تم تكوينها بواسطة مسؤول الموقع.
تختلف أنشطة الأداة الخارجية عن موارد URL في عدة طرق:
* الأدوات الخارجية تدرك السياق ، أي أن لديها إمكانية الوصول إلى معلومات حول المستخدم الذي أطلق الأداة ، مثل المؤسسة والدورة التدريبية والاسم.
* تدعم الأدوات الخارجية القراءة والتحديث وحذف الدرجات المرتبطة بمثيل النشاط.
* تكوِّن تكوينات الأداة الخارجية علاقة ثقة بين موقعك وموفر الأداة ، مما يسمح بالاتصال الآمن بينهما.';
$string['modulenameplural'] = 'أدوات خارجية';
$string['modulenamepluralformatted'] = 'حالات LTI';
$string['name'] = 'الاسم';
$string['never'] = 'أبدا';
$string['new_window'] = 'نافذة جديدة';
$string['noattempts'] = 'لم تبذل أي محاولات على أداة المثال هذا';
$string['no_lti_configured'] = 'لا يوجد تكوين لأدوات خارجية نشطة .';
$string['no_lti_pending'] = 'لا توجد أدوات خارجية معلقة.';
$string['no_lti_rejected'] = 'لا توجد أدوات خارجية مرفوضة.';
$string['noltis'] = 'لا توجد حالات lti';
$string['no_lti_tools'] = 'لا توجد أدوات خارجية تم تكوينها.';
$string['noprofileservice'] = 'لم يتم العثور على خدمة الملف';
$string['noservers'] = 'لا توجد خوادم';
$string['no_tp_accepted'] = 'لا توجد تسجيلات أداة خارجية مقبولة.';
$string['no_tp_cancelled'] = 'لا توجد تسجيلات أداة خارجية ملغاة.';
$string['no_tp_configured'] = 'لا توجد تسجيلات أداة خارجية مكونة.';
$string['no_tp_pending'] = 'لا توجد تسجيلات أداة خارجية في وضع الانتظار.';
$string['no_tp_rejected'] = 'لا توجد تسجيلات أداة خارجية مرفوضة.';
$string['notypes'] = 'لا يوجد حاليا أي أدوات LTI أنشئت في توتارا. اضغط على الرابط أعلاه لتثبيت البعض.';
$string['noviewusers'] = 'تعذر العثور على مستخدمين مع صلاحيات لاستخدام هذه الأداة';
$string['oauthsecurity'] = 'LTI 1.0/1.1';
$string['opensslconfiginvalid'] = 'يتطلب الإصدار 1.3 من LTI ملف openssl.cnf صالح ليتم تكوينه وإتاحته لخادم الويب الخاص بك.
يرجى الاتصال بمسؤول الموقع لتكوين وتمكين openssl لهذا الموقع.';
$string['optionalsettings'] = 'إعدادات اختيارية';
$string['organization'] = 'تفاصيل المنظمة';
$string['organizationdescr'] = 'وصف المنظمة';
$string['organizationid'] = 'رقم المنظمة';
$string['organizationid_help'] = 'معرف فريد لمثيل توتارا. عادة، يتم استخدام اسم DNS للمنظمة. إذا ترك هذا الحقل فارغا، سيتم استخدام اسم المضيف لهذا الموقع كقيمة افتراضية.';
$string['organizationurl'] = 'رابط المنظمة';
$string['organizationurl_help'] = 'العنوان الأساسي لهذه الحالة من توتارا. إذا ترك هذا الحقل فارغا، سيتم استخدام قيمة افتراضية على أساس تكوين موقع.';
$string['pagesize'] = 'عرض التقارير في الصفحة';
$string['parameter'] = 'معلمات الأداة';
$string['parameter_help'] = 'معلمات الأداة هي الإعدادات المطلوبة لتمريرها من قبل مزود الأداة في أداة الوكيل المقبولة.';
$string['password'] = 'السر المشترك';
$string['password_admin'] = 'السر المشترك';
$string['password_admin_help'] = 'يمكن اعتبار كلمة السر المشتركة بمثابة كلمة المرور المستخدمة لمصادقة الوصول إلى الأداة. وينبغي توفير ذلك جنبا إلى جنب مع مفتاح المستهلك من مزود الأداة. الأدوات التي لا تتطلب اتصال آمن من توتارا ولا توفر خدمات إضافية (مثل تقارير الدرجات) قد لا تتطلب ملمة السر المشتركة.';
$string['password_help'] = 'بالنسبة للأدوات التي تم تكوينها مسبقًا ، ليس من الضروري إدخال سر مشترك هنا ، حيث سيتم توفير السر المشترك كجزء من عملية التكوين.
يجب إدخال هذا الحقل في حالة إنشاء ارتباط لموفر أداة لم يتم تكوينه بالفعل. إذا كان سيتم استخدام موفر الأداة أكثر من مرة في هذه الدورة التدريبية ، فإن إضافة تكوين أداة الدورة التدريبية يعد فكرة جيدة.
يمكن اعتبار السر المشترك كلمة مرور تستخدم لمصادقة الوصول إلى الأداة. يجب توفيره مع مفتاح المستهلك من مزود الأداة.
قد لا تتطلب الأدوات التي لا تتطلب اتصالاً آمنًا من Totara ولا تقدم خدمات إضافية (مثل الإبلاغ عن الدرجات) سرًا مشتركًا.';
$string['pending'] = 'معلق';
$string['pluginadministration'] = 'إدارة LTI';
$string['pluginname'] = 'LTI';
$string['preferheight'] = 'الطول المفضل';
$string['preferwidget'] = 'إطلاق عنصر واجهة المستخدم المفضل';
$string['preferwidth'] = 'العرض المفضل';
$string['press_to_submit'] = 'إضغط لإطلاق هذا النشاط';
$string['privacy'] = 'الخصوصية';
$string['privacy:metadata:coursefullname'] = 'الاسم الكامل للدورة التدريبية التي يصل المستخدم منها إلى عميل LTI';
$string['privacy:metadata:courseid'] = 'معرّف الدورة التي يصل المستخدم منها إلى عميل LTI';
$string['privacy:metadata:courseidnumber'] = 'رقم معرّف الدورة التدريبية التي يصل المستخدم منها إلى مستخدم LTI';
$string['privacy:metadata:courseshortname'] = 'الاسم المختصر للدورة التي يصل المستخدم منها إلى مستخدم LTI';
$string['privacy:metadata:createdby'] = 'المستخدم الذي أنشأ السجل';
$string['privacy:metadata:email'] = 'عنوان البريد الإلكتروني للمستخدم الذي يصل إلى عميل LTI';
$string['privacy:metadata:externalpurpose'] = 'يوفر مستهلك LTI معلومات المستخدم والسياق لموفر أداة LTI.';
$string['privacy:metadata:firstname'] = 'الاسم الأول للمستخدم الذي يقوم بالوصول إلى عميل LTI';
$string['privacy:metadata:fullname'] = 'الاسم الكامل للمستخدم الذي يصل إلى عميل LTI';
$string['privacy:metadata:lastname'] = 'الاسم الأخير للمستخدم الذي يصل إلى عميل LTI';
$string['privacy:metadata:lti_submission'] = 'ارسال ال LTI';
$string['privacy:metadata:lti_submission:datesubmitted'] = 'الطابع الزمني يشير إلى وقت تقديم الطلب';
$string['privacy:metadata:lti_submission:dateupdated'] = 'الطابع الزمني يشير إلى وقت تعديل الإرسال';
$string['privacy:metadata:lti_submission:gradepercent'] = 'الدرجة للمستخدم كنسبة مئوية';
$string['privacy:metadata:lti_submission:originalgrade'] = 'الدرجة الأصلية للمستخدم';
$string['privacy:metadata:lti_submission:userid'] = 'معرّف المستخدم الذي أرسل لنشاط LTI';
$string['privacy:metadata:lti_tool_proxies'] = 'بروكسي ال LTI';
$string['privacy:metadata:lti_tool_proxies:name'] = 'اسم بروكسي ال LTI';
$string['privacy:metadata:lti_types'] = 'انواع ال LTI';
$string['privacy:metadata:lti_types:name'] = 'اسم نوع ال LTI';
$string['privacy:metadata:role'] = 'الدور في الدورة للمستخدم الذي يصل إلى مستهلك LTI';
$string['privacy:metadata:timecreated'] = 'الوقت الذي تم فيه إنشاء السجل';
$string['privacy:metadata:timemodified'] = 'الوقت الذي تم فيه تعديل السجل';
$string['privacy:metadata:userid'] = 'معرّف المستخدم الذي يصل إلى مستهلك LTI';
$string['privacy:metadata:useridnumber'] = 'رقم معرف المستخدم الذي يصل إلى عميل LTI';
$string['privacy:metadata:username'] = 'اسم المستخدم الخاص بالمستخدم الذي يقوم بالوصول إلى عميل LTI';
$string['publickey'] = 'المفتاح العمومي';
$string['publickey_help'] = 'المفتاح العام (بتنسيق PEM) الذي توفره الأداة للسماح بتوقيعات الرسائل الواردة وطلبات الخدمة ليتم التحقق منها.';
$string['quickgrade'] = 'السماح بالتصحيح السريع';
$string['quickgrade_help'] = 'إذا تم التمكين، يمكن تصحيح أدوات متعددة على صفحة واحدة. قم بإضافة درجات وتعليقات ثم انقر فوق الزر &quot;حفظ كل ما عندي من ردود الفعل&quot; لحفظ جميع التغييرات لهذه الصفحة.';
$string['redirect'] = 'سيتم إعادة توجيهك في بضع ثوان. إذا لم يتم ذلك، اضغط على الزر.';
$string['redirectionuris'] = 'إعادة التوجيه URI (s)';
$string['redirectionuris_help'] = 'قائمة URIs (واحد لكل سطر) التي تستخدمها الأداة عند إجراء طلبات الترخيص. يجب تسجيل واحد على الأقل قبل أن يتم إرسال الرسالة بنجاح إلى الأداة.';
$string['register'] = 'تسجيل';
$string['registertype'] = 'تكوين تسجيل اداة خارجية جديدة';
$string['register_warning'] = 'يبدو أن صفحة التسجيل تأخذ بعض الوقت للفتح. اذا لم تظهر، تحقق من أنك أدخلت الرابط الصحيح في إعدادات التكوين.';
$string['registrationname'] = 'اسم موفر الأداة';
$string['registrationname_help'] = 'أدخل اسم مزود الأداة المراد تسجيلها.';
$string['registration_options'] = 'خيارات التسجيل';
$string['registrationurl'] = 'رابط التسجيل';
$string['registrationurl_help'] = 'ينبغي أن تكون صفحة التسجيل متاحة من مزود الأداة باعتبارها الموقع الذي يجب ان ترسل طلبات تسجيل إليه.';
$string['reject'] = 'رفض';
$string['rejected'] = 'مرفوض';
$string['resource'] = 'مورد';
$string['resourcekey'] = 'مفتاح المستهلك';
$string['resourcekey_admin'] = 'مفتاح المستهلك';
$string['resourcekey_admin_help'] = 'يمكن اعتبار مفتاح المستهلك على أنه اسم مستخدم يستخدم لمصادقة الوصول إلى الأداة.
يمكن استخدامه من قبل موفر الأداة للتعرف بشكل فريد على موقع Totara الذي ينطلق منه المستخدمون في الأداة.
يجب توفير مفتاح المستهلك بواسطة موفر الأداة.
تختلف طريقة الحصول على مفتاح المستهلك بين موفري الأدوات. قد تكون عملية تلقائية ، أو قد تتطلب حوارًا مع مزود الأداة.
قد لا تتطلب الأدوات التي لا تتطلب اتصالاً آمنًا من Totara ولا تقدم خدمات إضافية (مثل الإبلاغ عن الدرجات) مفتاح مورد.';
$string['resourcekey_help'] = 'بالنسبة للأدوات التي تم تكوينها مسبقًا ، ليس من الضروري إدخال مفتاح مورد هنا ، حيث سيتم توفير مفتاح المستهلك كجزء من عملية التكوين.
يجب إدخال هذا الحقل في حالة إنشاء ارتباط لموفر أداة لم يتم تكوينه بالفعل.
إذا كان سيتم استخدام موفر الأداة أكثر من مرة في هذه الدورة التدريبية ، فإن إضافة تكوين أداة الدورة التدريبية يعد فكرة جيدة.
يمكن اعتبار مفتاح المستهلك على أنه اسم مستخدم يستخدم لمصادقة الوصول إلى الأداة.
يمكن استخدامه من قبل موفر الأداة للتعرف بشكل فريد على موقع Totara الذي ينطلق منه المستخدمون في الأداة.
يجب توفير مفتاح المستهلك بواسطة موفر الأداة. تختلف طريقة الحصول على مفتاح المستهلك بين موفري الأدوات.
قد تكون عملية تلقائية ، أو قد تتطلب حوارًا مع مزود الأداة. قد لا تتطلب الأدوات التي لا تتطلب اتصالاً آمنًا من Totara ولا تقدم خدمات إضافية (مثل الإبلاغ عن الدرجات) مفتاح مورد.';
$string['resourceurl'] = 'رابط المورد';
$string['return_to_course'] = 'انقر <a href="{$a->link}" target="_top">هنا</a> للعودة إلى المقرر.';
$string['saveallfeedback'] = 'احفظ جميع اجاباتي التقييمية';
$string['search:activity'] = 'أداة خارجية - معلومات النشاط';
$string['secure_icon_url'] = 'رابط أيقونة الأمن';
$string['secure_icon_url_help'] = 'على غرار رابط الرمز، ولكنها تستخدم إذا كان المستخدم يصل توتارا بشكل آمن من خلال SSL. الهدف الرئيسي لهذا الحقل هو منع المتصفح من تحذير المستخدم إذا تم الوصول إلى الصفحة الأساسية خلال SSL، ولكنه طلب عرض صورة غير مأمونة.';
$string['secure_launch_url'] = 'رابط إطلاق آمن';
$string['secure_launch_url_help'] = 'مشابه لعنوان URL الخاص بالأداة ، ولكنه يُستخدم بدلاً من عنوان URL الخاص بالأداة إذا تطلب الأمر مستوى أمان عالي.
سيستخدم Totara عنوان URL للأداة الآمنة بدلاً من عنوان URL للأداة إذا تم الوصول إلى موقع Totara من خلال SSL ، أو إذا تم ضبط تكوين الأداة على التشغيل دائمًا من خلال SSL.
يمكن أيضًا تعيين عنوان URL الخاص بالأداة على عنوان HTTPS لفرض التشغيل من خلال SSL ، وقد يتم ترك هذا الحقل فارغًا.';
$string['selectcontent'] = 'حدد المحتوى';
$string['send'] = 'إرسال';
$string['services'] = 'الخدمات';
$string['services_help'] = 'حدد تلك الخدمات التي ترغب في تقديمها لمقدم الأداة. يمكن اختيار أكثر من خدمة.';
$string['setupoptions'] = 'خيارات الإعداد';
$string['share_email'] = 'مشاركة البريد الإلكتروني للإطلاق مع الأداة';
$string['share_email_admin'] = 'مشاركة البريد الإلكتروني للإطلاق مع الأداة';
$string['share_email_admin_help'] = 'حدد ما إذا كان سيتم مشاركة عنوان البريد الإلكتروني للمستخدم الذي يقوم بتشغيل الأداة مع موفر الأداة. قد يحتاج موفر الأداة إلى عناوين البريد الإلكتروني ل قاذفة لتمييز المستخدمين مع نفس الاسم في واجهة المستخدم، أو إرسال رسائل البريد الإلكتروني للمستخدمين استنادا إلى الإجراءات داخل الأداة.';
$string['share_email_help'] = 'حدد ما إذا كان سيتم مشاركة عنوان البريد الإلكتروني للمستخدم الذي يقوم بتشغيل الأداة مع موفر الأداة.

قد يحتاج مزود الأداة إلى عناوين البريد الإلكتروني لمنفذ لتمييز المستخدمين بالاسم نفسه، أو إرسال رسائل إلكترونية إلى المستخدمين استنادا إلى الإجراءات داخل الأداة. لاحظ أنه قد يتم تجاوز هذا الإعداد في تكوين الأداة.';
$string['share_name'] = 'مشاركة البريد الإلكتروني للإطلاق مع الأداة';
$string['share_name_admin'] = 'مشاركة البريد الإلكتروني للإطلاق مع الأداة';
$string['share_name_admin_help'] = 'تحديد ما إذا كان ينبغي تقاسم الاسم الكامل للمستخدم الذي يطلق الأداة مع مزود الأداة. مقدم الأداة قد يحتاج أسماء قاذفات "لعرض المزيد من المعلومات داخل الأداة.';
$string['share_name_help'] = 'تحديد ما إذا كان ينبغي تقاسم الاسم الكامل للمستخدم الذي يطلق الأداة مع مزود الأداة.

مقدم الأداة قد يحتاج أسماء قاذفات "لعرض المزيد من المعلومات داخل الأداة.

 لاحظ أن هذا الإعداد قد يتم تجاوزه في تكوين الأداة.';
$string['share_roster'] = 'السماح للأداة بالوصول إلى قائمة التسجيل في المقرر';
$string['share_roster_admin'] = 'الأداة يمكنها الوصول إلى قائمة التسجيل في المقرر';
$string['share_roster_admin_help'] = 'تحديد ما إذا كان يمكن للأداة الوصول إلى قائمة المستخدمين المسجلين في المقررات التعليمية التي أطلقت هذا النوع من الأداة.';
$string['share_roster_help'] = 'تحديد ما إذا كان يمكن للأداة الوصول إلى قائمة المستخدمين المسجلين في هذا المقرر.

لاحظ أن هذا الإعداد قد يتم تجاوزه من خلال تكوين الأداة.';
$string['show_in_course_activity_chooser'] = 'تظهر في منتقي النشاط كأداة مسبقة التكوين';
$string['show_in_course_lti1'] = 'استخدام أداة التكوين';
$string['show_in_course_lti1_help'] = 'قد تظهر هذه الأداة في محدد النشاط لمعلم لتحديده لإضافة إلى دورة تدريبية. وبدلا من ذلك، قد يظهر في القائمة المنسدلة أداة سابقة التكوين عند إضافة أداة خارجية إلى دورة تدريبية. وهناك خيار آخر هو أن يتم استخدام تكوين الأداة فقط إذا تم إدخال عنوان ورل الأداة بالضبط عند إضافة أداة خارجية إلى دورة تدريبية.';
$string['show_in_course_lti2'] = 'استخدام أداة التكوين';
$string['show_in_course_lti2_help'] = 'يمكن عرض هذه الأداة في محدد النشاط للمعلم لإضافته إلى دورة تدريبية أو في القائمة المنسدلة أداة سابقة التكوين عند إضافة أداة خارجية إلى دورة تدريبية.';
$string['show_in_course_no'] = 'لا تظهر؛ يستخدم فقط عند إدخال عنوان للأداة المطابقة';
$string['show_in_course_preconfigured'] = 'إظهار كأداة سابقة التكوين عند إضافة أداة خارجية';
$string['size'] = 'معلمات الحجم';
$string['submission'] = 'التقديم';
$string['submissions'] = 'تسليمات';
$string['submissionsfor'] = 'التقديم ل {$a}';
$string['subplugintype_ltiresource'] = 'مورد خدمة LTI';
$string['subplugintype_ltiresource_plural'] = 'موارد خدمة LTI';
$string['subplugintype_ltiservice'] = 'خدمة LTI';
$string['subplugintype_ltiservice_plural'] = 'خدمات LTI';
$string['subplugintype_ltisource'] = 'مصدر LTI';
$string['subplugintype_ltisource_plural'] = 'مصادر LTI';
$string['successfullycreatedtooltype'] = 'تم إنشاء أداة جديدة بنجاح!';
$string['successfullyfetchedtoolconfigurationfromcontent'] = 'تم جلب تهيئة الأداة بنجاح من المحتوى المحدد.';
$string['toggle_debug_data'] = 'تبديل تصحيح البيانات';
$string['tool_config_not_found'] = 'لم يتم العثور على تكوين الأداة لهذا الرابط.';
$string['tooldescription'] = 'وصف الأداة';
$string['tooldescription_help'] = 'وصف الأداة التي سيتم عرضها للمعلمين في قائمة الأنشطة. يجب أن يصف ذلك ما هي الأداة وماذا تفعل وأي معلومات إضافية قد يحتاج المعلم إلى معرفتها.';
$string['tooldetailsaccesstokenurl'] = 'الوصول إلى URL الرمز';
$string['tooldetailsauthrequesturl'] = 'عنوان URL لطلب المصادقة';
$string['tooldetailsclientid'] = 'معرف العميل';
$string['tooldetailsdeploymentid'] = 'معرف النشر';
$string['tooldetailsmailtosubject'] = 'تكوين أداة LTI';
$string['tooldetailsmodalemail'] = 'البريد الإلكتروني';
$string['tooldetailsmodallink'] = 'عرض تفاصيل التكوين';
$string['tooldetailsmodaltitle'] = 'تفاصيل تكوين الأداة';
$string['tooldetailsplatformid'] = 'معرّف المنصة';
$string['tooldetailspublickeyseturl'] = 'عنوان URL لمجموعة المفاتيح العامة';
$string['toolisbeingused'] = 'يتم استخدام هذه الأداة {$a} مرات';
$string['toolisnotbeingused'] = 'لم يتم استخدام هذه الأداة حتى الآن';
$string['toolproxy'] = 'تسجيلات الأداة الخارجية';
$string['toolproxy_help'] = 'تسمح تسجيلات الأدوات الخارجية لمسؤولي موقع Totara بتكوين أدوات خارجية من وكيل أداة تم الحصول عليه من موفر أداة يدعم LTI 2.0.
عنوان URL للتسجيل الذي يوفره موفر الأداة هو كل ما هو مطلوب لبدء العملية.
يتم تحديد الإمكانات والخدمات المقدمة لموفر الأداة عند تكوين تسجيل جديد.
يتم فصل تسجيلات الأدوات المدرجة في هذه الصفحة إلى أربع فئات:
* ** مُكوَّن **: تم إعداد تسجيلات الأداة هذه ولكن عملية التسجيل لم تبدأ بعد. * ** معلق **: بدأت عملية التسجيل لتسجيلات الأداة هذه ولكنها لم تكتمل.
افتح الإعدادات واحفظها لإعادتها إلى فئة ** المكون **. * ** مقبولة **: تمت الموافقة على تسجيلات الأداة هذه ؛ ستظهر الموارد المحددة في وكيل الأداة في صفحة الأدوات المكونة مسبقًا بالحالة الأولية ** معلق **.
* ** مرفوض **: تسجيلات الأداة هذه تم رفضها أثناء عملية التسجيل. افتح الإعدادات واحفظها لإعادتها إلى فئة ** مُكوَّن ** حتى يمكن إعادة بدء عملية التسجيل.';
$string['toolproxyregistration'] = 'تسجيل أداة خارجية';
$string['toolregistration'] = 'تسجيل أداة خارجية';
$string['tool_settings'] = 'إعدادات الأداة';
$string['toolsetup'] = 'تكوين الأداة الخارجية';
$string['tooltypeadded'] = 'تمت إضافة أداة تمت تهيئتها مسبقا';
$string['tooltypedeleted'] = 'تم حذف الأداة التي تمت تهيئتها مسبقا';
$string['tooltypenotdeleted'] = 'تعذر حذف الأداة التي تمت تهيئتها مسبقا';
$string['tooltypes'] = 'أدوات';
$string['tooltypeupdated'] = 'تم تحديث الأداة التي تم تكوينها مسبقا';
$string['toolurl'] = 'رابط قاعدة الأداة';
$string['toolurl_contentitemselectionrequest'] = 'URL تحديد المحتوى';
$string['toolurl_contentitemselectionrequest_help'] = 'سيتم استخدام عنوان URL الخاص بتحديد المحتوى لبدء تشغيل صفحة اختيار المحتوى من مزود الأداة.
إذا كانت فارغة ، فسيتم استخدام عنوان URL الخاص بالأداة';
$string['toolurl_help'] = 'يتم استخدام عنوان URL الخاص بالأداة لمطابقة عناوين URL الخاصة بالأداة بتكوين الأداة الصحيح.
تعد بادئة عنوان URL بـ HTTP (S) أمرًا اختياريًا.
بالإضافة إلى ذلك ، يتم استخدام عنوان URL الأساسي كعنوان URL للأداة إذا لم يتم تحديد عنوان URL للأداة في مثيل الأداة الخارجية. على سبيل المثال ، سيطابق عنوان URL الأساسي لـ ** tool.com ** ما يلي:
* tool.com * tool.com/quizzes * tool.com/quizzes/quiz.php؟id=10 * www.tool.com/ quizzes عنوان URL أساسي لـ ** www.tool.com / quizzes ** يتطابق مع ما يلي:
* www.tool.com/quizzes * tool.com/quizzes * tool.com/quizzes/take.php؟id=10 A سيتطابق عنوان URL الأساسي لـ ** quiz.tool.com ** مع ما يلي:
 * quiz.tool.com * quiz.tool.com/take.php؟id=10 إذا كان هناك تكوينان مختلفان للأداة لنفس النطاق ، فإن معظم سيتم استخدام تطابق محدد.
يمكنك أيضًا إدخال عنوان URL للخرطوشة إذا كان لديك واحد وسيتم ملء تفاصيل الأداة تلقائيًا.';
$string['toolurlplaceholder'] = 'رابط الأداة';
$string['typename'] = 'اسم الأداة';
$string['typename_help'] = 'يتم استخدام اسم الأداة لتحديد مقدم الأداة داخل توتارا. والاسم الذي تم إدخاله يكون مرئي للمعلمين عند إضافة أدوات خارجية ضمن الدورات.';
$string['types'] = 'أنواع';
$string['unabletocreatetooltype'] = 'تعذر إنشاء أداة';
$string['unabletofindtooltype'] = 'تعذر العثور على أداة ل {$a->id}';
$string['unknownstate'] = 'حالة غير معروفة';
$string['update'] = 'التحديث';
$string['useraccountinformation'] = 'معلومات حساب المستخدم';
$string['userdataitemtool'] = 'التقديمات LTI';
$string['userpersonalinformation'] = 'معلومات المستخدم الشخصية';
$string['using_tool_cartridge'] = 'استخدام خرطوشة الأداة';
$string['using_tool_configuration'] = 'استخدام تكوين الأداة:';
$string['validurl'] = 'الرابط الصالحة يجب أن يبدأ ب (https) :/ /';
$string['viewsubmissions'] = 'عرض التقارير وشاشة الدرجات';
