<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'search_solr', language 'ar', branch 'MOODLE_36_STABLE'
 *
 * @package   search_solr
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['configsettings'] = 'تكوين Solr';
$string['connectionerror'] = 'خادم Solr المحدد غير متوفر أو الفهرس المحدد غير موجود';
$string['connectionsettings'] = 'إعدادات الإتصال';
$string['discardsearchfieldnames'] = 'تجاهل أسماء حقول البحث الافتراضية للموقع';
$string['discardsearchfieldnames_help'] = 'عند تمكين هذا الإعداد ، لن يتم إرسال أسماء حقول البحث الافتراضية إلى محرك بحث Solr ، مما يسمح لـ Solr بتحديد أسماء مجالات البحث الخاصة به. قد يؤدي ذلك إلى تحسين ملاءمة نتائج البحث التي تم إنشاؤها بواسطة Solr. عند التعطيل ، يتم إرسال أسماء حقول البحث الافتراضية ، مما يجبر Solr على تجاهل حقول البحث المحددة في المحرك.';
$string['errorcreatingschema'] = 'خطأ في إنشاء مخطط Solr: {$a}';
$string['errorvalidatingschema'] = 'خطأ في التحقق من مخطط Solr: الحقل {$a->fieldname} غير موجود. يرجى <a href="{$a->setupurl}">اتباع هذا الرابط</a> لإعداد الحقول المطلوبة.';
$string['extensionerror'] = 'لم يتم تثبيت ملحق Apache Solr PHP. يرجى التحقق من الوثائق.';
$string['fileindexing'] = 'قم بتمكين فهرسة الملفات';
$string['fileindexing_help'] = 'إذا كان تثبيت Solr الخاص بك يدعم هذه الميزة ، تسمح هذه الميزة لـ Totara بإرسال الملفات المراد فهرستها.';
$string['fileindexsettings'] = 'إعدادات فهرسة الملفات';
$string['maxindexfilekb'] = 'الحد الأقصى لحجم الملف المراد فهرسته (كيلوبايت)';
$string['maxindexfilekb_help'] = 'لن يتم تضمين الملفات الأكبر من هذا العدد بالكيلوبايت في فهرسة البحث. إذا تم الضبط على صفر ، فستتم فهرسة الملفات بأي حجم.';
$string['minimumsolr4'] = 'Solr 4.0 هو الإصدار الأدنى المطلوب لـ Totara';
$string['missingconfig'] = 'لم يتم تكوين خادم Apache Solr الخاص بك في Totara.';
$string['multivaluedfield'] = 'عرض الحقل &quot;{$a}&quot; مصفوفة بدلاً من عدد قياسي. يرجى حذف الفهرس الحالي وإنشاء فهرس جديد وتشغيل setup_schema.php قبل فهرسة البيانات في Solr.';
$string['nodatafromserver'] = 'لا توجد بيانات من الخادم';
$string['pluginname'] = 'Solr';
$string['schemafieldautocreated'] = 'الحقل &quot;{$a}&quot; موجود بالفعل في مخطط Solr. ربما نسيت تشغيل هذا البرنامج النصي قبل أن يتم إنشاء البيانات والحقول تلقائيًا بواسطة Solr. يرجى حذف الفهرس الحالي وإنشاء واحد جديد وتشغيل setup_schema.php مرة أخرى قبل فهرسة البيانات في Solr.';
$string['schemasetupfromsolr5'] = 'إصدار خادم Solr أقل من 5.0. يمكن لهذا البرنامج النصي تعيين مخططك فقط إذا كان إصدار Solr لديك هو 5.0 أو أعلى. تحتاج إلى تعيين الحقول يدويًا في مخططك وفقًا لـ search_solrdocument :: get_default_fields_definition ().';
$string['searchinfo'] = 'استعلامات البحث';
$string['searchinfo_help'] = 'يمكن تحديد الحقل المراد البحث فيه عن طريق بدء استعلام البحث بـ "العنوان:" أو "المحتوى:" أو "الاسم:" أو "المقدمة:".
على سبيل المثال ، سيؤدي البحث عن "title: news" إلى عرض النتائج مع وجود كلمة "news" في العنوان. يمكن استخدام عوامل التشغيل المنطقية ("AND" ، "OR" ، "NOT") لدمج الكلمات الرئيسية أو استبعادها.
يمكن استخدام أحرف البدل ("*" أو "؟") لتمثيل الأحرف في استعلام البحث.';
$string['setupok'] = 'المخطط جاهز للاستخدام.';
$string['solrauthpassword'] = 'كلمة مرور مصادقة HTTP';
$string['solrauthuser'] = 'اسم مستخدم مصادقة HTTP';
$string['solrhttpconnectionport'] = 'منفذ';
$string['solrhttpconnectiontimeout'] = 'نفذ الوقت';
$string['solrhttpconnectiontimeout_desc'] = 'مهلة اتصال HTTP هي الحد الأقصى للوقت بالثواني المسموح به لعملية نقل بيانات HTTP.';
$string['solrindexname'] = 'اسم الفهرس';
$string['solrinfo'] = 'Solr';
$string['solrnotselected'] = 'محرك Solr ليس محرك البحث الذي تم تكوينه';
$string['solrsecuremode'] = 'وضع آمن';
$string['solrserverhostname'] = 'اسم المضيف';
$string['solrserverhostname_desc'] = 'اسم مجال خادم Solr.';
$string['solrsetting'] = 'إعدادات Solr';
$string['solrsslcainfo'] = 'اسم شهادات SSL CA';
$string['solrsslcainfo_desc'] = 'اسم الملف يحمل شهادة CA أو أكثر للتحقق من الأقران';
$string['solrsslcapath'] = 'مسار شهادات SSL CA';
$string['solrsslcapath_desc'] = 'يحمل مسار الدليل شهادات CA متعددة للتحقق من الأقران';
$string['solrsslcert'] = 'شهادة SSL';
$string['solrsslcert_desc'] = 'اسم الملف لشهادة خاصة بتنسيق PEM';
$string['solrsslkey'] = 'مفتاح SSL';
$string['solrsslkey_desc'] = 'اسم الملف لمفتاح خاص بتنسيق PEM';
$string['solrsslkeypassword'] = 'كلمة مرور مفتاح SSL';
$string['solrsslkeypassword_desc'] = 'كلمة المرور لملف المفتاح الخاص بتنسيق PEM';
